*{
    margin: 0;
    padding:  0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins',sans-serif;
}

:root{
    --bg-color:#081b29;
    --second-bg-color:#112e42;
    --text-color:#ededed;
    --main-color:#00abf0;
}

html{
    font-size: 62.5%;
    overflow-x: hidden;
}
body{
    background: var(--bg-color);
    color:var(--text-color);
}
.header{
    position: fixed;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 20px;
    padding: 2rem 9%;
    background:transparent;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
    transition: .3s;
    background-color: var(--bg-color);
}

.header.sticky{
    background:greenyellow;
}
.logo{
    position: relative;
    font-size: 2.5rem;
    color: var(--text-color);
    font-weight: 600;
}

.navbar{
    position: relative;
}
.navbar a{
    font-size: 1.7rem;
    color: var(--text-color);
    font-weight: 500;
    margin-left: 3.5rem;
}
.navbar a:hover,
.navbar a.active{
    color: var(--main-color);
}

#menu-icon{
    position: relative;
    font-size: 3.6rem;
    color: var(--text-color);
    cursor: pointer;
    display: none;
}
section{
    min-height: 100vh;
    padding: 10rem 9% 2rem;
}

.home{
    display: flex;
    align-items: center;
    
    padding: 0 9%;
    background: url('Picsart_23-09-17_21-46-27-243.jpg') no-repeat;
    background-size: cover;
    background-position: center;
    
}
.home-content{
    max-width: 60rem;
    z-index: 99;
}
.home-content  h1{
    position: relative;
    display: inline-block;
    font-size: 5.6rem;
    font-weight: 700;
    line-height: 1.3;
}

.home-content  h1 span{
    color: var(--text-color);
}
.home-content .text-animate{
    position: relative;
    width: 32.8rem;
}

.home-content .text-animate h3{
    font-size: 3.2rem;
    font-weight: 700;
    color: transparent;
    -webkit-text-stroke: .7px var(--main-color);
    background-image: linear-gradient(var(--main-color), var(--main-color));
    background-repeat: no-repeat;
    /* animation */
    -webkit-background-clip: text;
    background-position: -33rem 0;
    /* animation: homeBgText 6s linear infinite;
    animation-delay: 2s; */
}

.home.show-animate .home-content .text-animate h3{
    animation: homeBgText 6s linear infinite;
    animation-delay: 2s;
}

.home-content .text-animate h3::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    border-right: 2px solid var(--main-color);
    z-index: -1;
    /* animation: homeCursorText 6s linear infinite;
    animation-delay: 2s; */
}
.home.show-animate .home-content .text-animate h3::before{
    animation: homeCursorText 6s linear infinite;
    animation-delay: 2s;
}
.home-content p{
    position: relative;
    font-size: 1.6rem;
    margin: 2rem 0 4rem;

}
.btn-box{
  position: relative;
  display: flex;
  justify-content: space-between;
  width:34.5rem;
  height:5rem;

}
.btn-box .btn{
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 15rem;
    height: 100%;
    background-color: var(--main-color);
    border: .2rem solid var(--main-color);
    border-radius: .8rem;
    font-size: 1.8rem;
    font-weight: 600;
    letter-spacing: .1rem;
    color: var(--bg-color);
    z-index: 1;
    overflow: hidden;
    transition: .5s;
}
.btn-box .btn:hover{
    color: var(--main-color);
}
.btn-box .btn:nth-child(2){
    background: transparent;
    color: var(--main-color);
}

.btn-box .btn:nth-child(2):hover{
    color:var(--bg-color)
}
.btn-box .btn:nth-child(2)::before{
  background: var(--main-color);
}

.btn-box .btn::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background:var(--bg-color);
    z-index:-1;
    transition: .5s;

}

.btn-box .btn:hover::before{
    width: 100%;
}

.home-sci{
    position: absolute;
    bottom: 4rem;
    width: 170px;
    display: flex;
    justify-content: space-between;
}

.home-sci a{
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background: transparent;
    border: .2rem solid var(--main-color);
    border-radius: 50%;
    font-size: 20px;
    color: var(--main-color);
    z-index: 1;
    overflow: hidden;
    transition: .5s;
}

.home-sci a:hover{
    color: var(--bg-color);
}
.home-sci a::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background:var(--main-color);
     z-index:-1;
     transition: .5s;
}

.home-sci a:hover::before{
    width: 100%;
}

.home-imgHover{
    position: absolute;
    top: 0;
    right: 0;
    width: 50%;
    height: 100%;
    background: transparent;
   
    transition: 3s;
    /* margin-top: 74px; */
}
.home-imgHover:hover{
   background:var(--bg-color);
   opacity: .8;
}
.about{
   
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 2rem;
    background: var(--second-bg-color);
    padding-bottom: 6rem;
}
.heading{
    position: relative;
    font-size: 5rem;
    margin-bottom: 3rem;
    text-align: center;
}
span{
    color: var(--main-color);
}
.about-img{
    position: relative;
    width: 25rem;
    height: 25rem;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.about-img img{
    width: 90%;
    border-radius: 50%;
    border: .2rem solid var(--main-color);
}
.about-img .circle-spin{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%) rotate(0);
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border-top: .2rem solid var(--second-bg-color);
    border-bottom: .2rem solid var(--second-bg-color);
    border-left: .2rem solid var(--main-color);
    border-right: .2rem solid var(--main-color);
    /* rotate animation */
    animation: aboutSpinner 8s linear infinite;

}
.about-content{
    text-align: center;
}
.about-content h3{
    position: relative;
    display: inline-block;
    font-size: 2.6rem;
    /* margin: 2rem 0 3rem; */
}
.about-content p{
    position: relative;
    font-size: 1.6rem;
    margin: 2rem 0 3rem;
}
.btn-box.btns{
    display: inline-block;
    width: 15rem;
}
.btn-box.btns a::before{
    background: var(--second-bg-color);
}

.education{
    display: flex;
     justify-content: center;
    /* align-items: center;  */
    flex-direction:column;
    min-height: auto;
    padding-bottom: 5rem;
}
.education .education-row{
   
    display: flex;
    flex-wrap: wrap;
    gap: 5rem;
    
  
}
.education-row .education-column{
   flex:1 1 40rem;
}
.education-column .title{
    font-size: 2.5rem;
    margin: 0 0 1.5rem 2rem;
}
.education-column .title{
    font-size: 2.5rem;
    margin: 0 0 1.5rem  2rem;
}
.education-column .education-box{
    border-left:.2rem solid var(--main-color)
}
.education-box .education-content{
    position: relative;
    padding-left: 2rem;
}
.education-box .education-content::before{
    content: '';
    position: absolute;
    top: 0;
    left: -1.1rem;
    width: 2rem;
    height: 2rem;
    background: var(--main-color);
    border-radius: 50%;
}
.education-content .content{
    position: relative;
    padding: 1.5rem ;
    border: .2rem solid var(--main-color);
    border-radius: .6rem;
    margin-bottom: 2rem;
    overflow: hidden;

}
.education-content .content::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width:0;
     height: 100%;
     background: var(--second-bg-color);
     z-index: -1;
     transition: .5s;
}
.education-content .content:hover::before{
  width: 100%;
}

.education-content .content .year{
    font-size: 1.5rem;
    color: var(--main-color);
    padding-bottom: .5rem;
}

.education-content .content .year i{
   padding-right: .5rem;
}
.education-content .content h3{
    font-size: 2rem;
}
.education-content .content p{
    font-size: 1.6rem;
    padding-top: .5rem;
}
.skills{
    min-height: auto;
    padding-bottom: 7rem;
    background:var(--second-bg-color);
}
.skills .skills-row{
    display: flex;
    flex-wrap: wrap;
    gap: 5rem;
}
.skills-row .skills-column{
    flex: 1 1 40rem;
}
.skills-column .title{
    font-size: 2.5rem;
    margin: 0 0 1.5rem;
}
.skills-box .skills-content{
    position: relative;
    border: .2rem solid var(--main-color);
    border-radius: .6rem;
    padding: .5rem 1.5rem;
    z-index: 1;
    overflow: hidden;
}
.skills-box .skills-content::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width:0;
     height: 100%;
     background:var(--bg-color);
     z-index: -1;
     transition: .5s;
     
}

.skills-box .skills-content:hover::before{
    width: 100%;
}
.skills-content .progress{
    padding: 1rem 0;

}
.skills-content .progress h3{
    font-size: 1.7rem;
    display: flex;
    justify-content: space-between;
}
.skills-content .progress h3 span{
    color: var(--text-color);
}
.skills-content .progress .bar{
    height: 2.5rem;
    border-radius: .6rem;
    border: .2rem solid var(--main-color);
    padding: .5rem;
    margin: 1rem 0;
}
.skills-content .progress .bar span{
    display: block;
    height: 100%;
    border-radius: .3rem;
    background:var(--main-color);
}
.skills-column:nth-child(1) .skills-content .progress:nth-child(1) .bar span{
    width: 90%;
}
.skills-column:nth-child(1) .skills-content .progress:nth-child(2) .bar span{
    width: 75%;
}
.skills-column:nth-child(1) .skills-content .progress:nth-child(3) .bar span{
    width: 70%;
}
.skills-column:nth-child(1) .skills-content .progress:nth-child(4) .bar span{
    width: 85%;
}
.skills-column:nth-child(2) .skills-content .progress:nth-child(1) .bar span{
    width: 90%;
}
.skills-column:nth-child(2) .skills-content .progress:nth-child(2) .bar span{
    width: 80%;
}
.skills-column:nth-child(2) .skills-content .progress:nth-child(3) .bar span{
    width:75%;
}
.skills-column:nth-child(2) .skills-content .progress:nth-child(4) .bar span{
    width: 70%;
}


/* project section */

.portfolio{
   
    background:var(--bg-color);
}

.portfolio h2{
    margin-bottom: 4rem;
}

.portfolio-container{
    display: flex;
    display: grid;
    grid-template-columns: repeat(2,1fr);
    align-items: center;
    gap: 2.5rem;

}

.portfolio-container .portfolio-box{
    position: relative;
    border-radius: 2rem;
    box-shadow: 0 0 1rem var(--bg-color);
    overflow: hidden;
    display: flex;
    border: .2rem solid var(--main-color);
}

.portfolio-box img{
    width: 100%;
    transition: .5s ease;
}

.portfolio-box:hover img{
    transform: scale(1.1);
}

.portfolio-box .portfolio-layer {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(rgba(0,0,0,.1), var(--bg-color));
 
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    padding: 0 4rem;
    transform: translateY(100%);
    transition: .5s ease;
}

.portfolio-box:hover .portfolio-layer{
    transform: translateY(0);
}

.portfolio-layer h4{
    font-size: 3rem;
}

.portfolio-layer p{
    font-size: 1.6rem;
    margin: .3rem 0 1rem;
    
}

.portfolio-layer a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 5rem;
    height: 5rem;
    background: var(--text-color);
    border-radius: 50%;
}

.portfolio-layer a i{
    font-size: 2rem;
    color: var(--second-bg-color);
}
/* project section end */


 /* @media only screen and (max-width: 600px){
    #home{
        background-image: url(Picsart_23-09-17_21-07-16-209.jpg);
    }
    .home-content h3{
        font-size: 25px;
        margin-bottom: 10%;
    } 
     .home-content h1{
        font-size: 25px;
        margin-top: 130%;
    }
    .btn-box {
        margin-top: 25%;
    }
    .home-content p{
        display:none;
    } 
}  */

/* small device */
.contact{
    min-height: auto;
    padding-bottom: 7rem;
}

.contact form{
    max-width: 70rem;
    margin: auto;
    text-align: center;
}
.contact form .input-box{
    position: relative;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.contact form .input-box .input-field{
    position: relative;
    width: 49%;
    margin: .8rem 0;
}
.contact form .input-box .input-field input,
.contact form .textarea-field textarea{
    width: 100%;
    height: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: var(--text-color);
    background: transparent;
    border-radius: .6rem;
    border: .2rem solid var(--main-color);
}
.contact form .input-box .input-field input::placeholder,
.contact form .textarea-field textarea::placeholder{
color: var(--text-color);
}
.contact form .focus{
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: var(--second-bg-color);
    border-radius: .6rem;
    z-index: -1;
    transition: .5s;
}

.contact form .input-box .input-field input:focus~.focus,
.contact form .input-box .input-field input:valid~.focus,
.contact form .textarea-field textarea:focus~.focus,
.contact form .textarea-field textarea:valid~.focus{
width: 100%;
}

.contact form .textarea-field {
    position: relative;
    margin: .8rem 0 2.7rem;
    display: flex;
}
.contact form .textarea-field textarea{
    resize: none;
}
.contact form .btn-box.btns .btn{
    cursor: pointer;
}
.footer{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding: 2rem 9%;
    background: var(--bg-color);
}
.footer-text,
.footer-iconTop{
    position: relative;
}
.footer-text p{
    font-size: 1.6rem;
}
.footer-iconTop a{
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: .8rem;
    background: var(--main-color);
    border: .2rem solid var(--main-color);
    border-radius: .6rem;
    z-index: 1;
    overflow: hidden;
}

.footer-iconTop a::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: var(--bg-color);
    z-index: -1;
    transition: .5s;
}
.footer-iconTop a:hover::before{
  width: 100%;
}
.footer-iconTop a i{
    font-size: 2.4rem;
    color: var(--bg-color);
    transition: .5s;
}
.footer-iconTop a:hover i{
    color: var(--main-color);
}


/* animation reload and scroll */

.animate{
    position: absolute;
    top: 0;
     right: 0;
     width: 100%;
     height: 100%;
     background:var(--bg-color);
     z-index: 98;
}

.animate.home-img{
    width: 50%;
}

.logo .animate,
.navbar .animate,
#menu-icon .animate,
.home.show-animate .animate{
    animation: showRight 1s ease forwards;
    animation-delay: calc(.3s * var(--i));
}

.animate.scroll{
    transition: 1s ease;
    transition-delay: calc(.3s / var(--i));
   animation: none;
}
section:nth-child(odd) .animate.scroll{
    background: var(--second-bg-color);
}

.about.show-animate  .animate.scroll,
.footer.show-animate  .animate.scroll{
    transition-delay: calc(.3s * var(--i));
    width: 0;
}



/* BREAK POINT */
@media (max-width:1200px){
    html{
        font-size: 55%;
    }
}
@media (max-width:991px){
    .header{
        padding: 2rem 4%;
    }
    section{
     padding: 10rem 4% 2rem;
    }

    .home{
        padding: 0  4%;
    }

    .footer{
        padding: 2rem 4%;
    }

    /*edit*/

    /* .portfolio-container{
        display: flex;
        display: grid;
        grid-template-columns: repeat(1,1fr);
        align-items: center;
        gap: 2.5rem;
    } */
    .line{
        height: .6px;
    }
      
}

@media (max-width:768px){
     .header{
        background: var(--bg-color);
     }

     #menu-icon{
        display: block;
     }
     .navbar{
        position: absolute;
        top: 100%;
        left: -100%;
        width: 100%;
        padding: 1rem  4%;
        background: var(--main-color);
        box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .2);
        transition: .25s ease;
        transition-delay: .25s ;
        z-index: 1;
     }
     .navbar.active{
        transition-delay: 0s;
        left: 0;
     }
     .navbar .active-nav{
        position: absolute;
        top: 0;
        left: -100%;
        width: 100%;
        height: 100%;
        background:var(--bg-color);
        border-top: .1rem solid rgba(0, 0,0,.2);
        z-index: -1;
        transition: .25s ease;
        transition-delay: 0s;
     }

     .navbar.active .active-nav{
        left: 0;
       transition-delay: .25s;
     }
     .navbar a{
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
        transform: translateX(-20rem);
        transition: .25s ease;
        transition-delay: 0s;
     }
     .navbar.active a{
        transform: translateX(0);
        transition-delay: .25s;
     }

   .home-imgHover{
    pointer-events: none;
    background: var(--bg-color);
    opacity: .6;
    }
    /* edit */
    /* #home{
        background-image:url(Picsart_23-09-17_21-07-16-209.jpg) ;
    }
    .home-content h1{
        display: flex;
        flex-direction: column;
    }
    .home-sci a{
        width: 38px;
        height: 38px;
    }
    .home-content p{
        display: none;
       }
       .home .btn-box a{
        margin-top:75%;
       }
       .home-imgHover{
        width: 100%;
        
       }
       .animate.home-img{
        width:70%;
       } */
       
       .portfolio-container{
       display: flex;
       display: grid;
       grid-template-columns:repeat(1,1fr);
       align-items: center;
       gap: 2.5rem;
       }
       .line{
        height: .6px;
    }

}

 @media (max-width:520px){  /* 520 */
  html{
    font-size: 50%;
   }
  #home{
    background-image:url(jayanta\ ran\ -copy.jpg) ;
  }

  .home-content h1{
   display: flex;
   flex-direction: column;
    margin-top: 30%; /* edit */
  }
  .home-sci{
    width: 160px;
     /* margin-top: 10%;   edit */
  }
  .home-sci a{
    width: 38px;
    height: 38px;
  }

   /* edit */
    .home-content p{
    display: none;
   }
   
   .home .btn-box {
    /* margin-top:100%; */
    padding-top: 5px;
   }
   
   .home-imgHover{
    width: 100%;
      height: 100%;  /*edit*/
    /* display: none; */
    margin-top: 50px;
    
    
   }
   
   .animate.home-img{
    width:70%;
    height: 100%; /*edit*/
   }

   /*edit*/
   .portfolio-container{
    display: flex;
    display: grid;
    grid-template-columns:repeat(1,1fr);
    align-items: center;
    gap: 2.5rem;
}
.line{
    height: .6px;
}
}

@media (max-width:462px){/*462-original*/
    .home-content h1{
        font-size: 5.2rem;
    }
    .education{
        padding:  10rem 4% 5rem 5%;
    }
    .contact form .input-box .input-field{
        width: 100%;
    }
    .footer{
        flex-direction: column-reverse;
    }
    .footer p{
        margin-top: 2rem; 
        text-align: center;
    }
    .portfolio-container{
        flex-direction: column;
        align-items: center;
    }

    /*edit*/
    .portfolio-container{
        display: flex;
        display: grid;
        grid-template-columns: repeat(1,1fr);
        align-items: center;
        gap: 2.5rem;
    }
    .line{
        height: .6px;
    }
}


@media (max-width:371px){
    .home{
        justify-content: center;
    }
    .home-content{
        display: flex;
        /* align-items: center; */ /*edit*/
        flex-direction: column;
        /* text-align: center; */ /*edit*/
        /* margin-top: 10%;  edit */
        
    }
    .home-content h1{
       font-size: 5rem;
    }

    /* edit */
    /* .home-content p{
        display: none;
       }
       .home .btn-box a{
        margin-top:50%;
       }
       .home-imgHover{
        width: 100%;
        
       }
       .animate.home-img{
        width:80%;
       } */
       .portfolio-container{
        display: flex;
        display: grid;
        grid-template-columns: repeat(1,1fr);
        align-items: center;
        gap: 2.5rem;
    }
    .line{
        height: .6px;
    }
      
}





.mar{
    /* padding-top: 40px; */
    padding-bottom: 0px;
    margin-top: 50px;
    margin-bottom: 0px;
    background-color:var(--second-bg-color);
    font-size: 15px;
    font-weight: 500;
    color: #ffffff;
    
}

/* keyframes animation */

@keyframes homeBgText {
    0%,
    10%,
    100%{
        background-position: -33rem 0;
    }
65%,
85%{
    background-position: 0 0;
   }
}

@keyframes homeCursorText {
    0%,
    10%,
    100%{
        width: 0;
    }
65%,
78%,
85%{
    width: 100%;
    opacity: 1;
   }
   75%,
   81%{
    opacity: 0;
   }
}

@keyframes aboutSpinner {
    100%{
        transform: translate(-50%, -50%) rotate(360deg);
    }
}

@keyframes showRight{
    100%{
        width: 0;
    }
}

#msg{
    color: #61b752;
    margin-top: 10px; 
    display: block;
    text-align: center;
    font-size: large;
}
#msg span{
    font-size: large;
}


/* preloader */
#preloader{
    background: #ebeff0 url(loader.gif) no-repeat center center;
    height: 100vh;
    width: 100%;
    position: fixed;
    z-index: 100;
}


.drawing{
    height:40px;
    background: #112e42;
    font-size: large;
    justify-content: center;
    padding-top:10px ;
    position: center;
    /* border: 2px solid var(--main-color); */
 
}
.drawing a{
  
    color:rgb(44, 255, 143);
    position: center;
   
}
.marquee .drawing{
  
    align-items: center;
    justify-content: center;

} 


.drawing-img{
  
    max-height: 120px;
    background: var(--second-bg-color);
    padding-bottom: 6rem;
    margin-top: 6rem;
    padding-top: 45px;
    padding-bottom: 10px;
}

.drawing-img h2{
    font-size: 25px;
    align-items: center;
    justify-content: center;
    display: flex;
   
    padding-top: 10px;
    padding-bottom: 35px;
}
.drawing-imgs span{
    color: var(--main-color);
}
.collapsible {
    background-color:var(--second-bg-color);
    color: white;
    cursor: pointer;
    padding: 18px;
    width: 100%;
    border: none;
    text-align: left;
    outline: none;
    font-size: 15px;
    border: 1px solid var(--main-color);
  }
  
  .collapse, .collapsible:hover {
    background-color:var(--bg-color);
  }
  
  .collapsible:after {
    content: '\002B';
    color: white;
    font-weight: bold;
    float: right;
    margin-left: 5px;
  }
  
  .collapse:after {
    content: "\2212";
  }
  
  .collapse {
    padding: 0 18px;
  
    justify-content: center;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
    background-color:var(--bg-color);
  }


  /* gallery design start */

  div.gallery {
    border: 1px solid var(--main-color);
    background: var(--bg-color);
  }
  .responsive{
    background: var(--bg-color);
  }
  
  div.gallery:hover {
    border: 1px solid var(--text-color);
  }
  
  div.gallery img {
    width: 100%;
    height: auto;
  }
  
  div.desc {
    padding: 15px;
    text-align: center;
  }
  
  * {
    box-sizing: border-box;
  }
  
  .responsive {
    padding: 0 6px;
    float: left;
    width: 24.99999%;
  }
  
  @media only screen and (max-width: 700px) {
    .responsive {
      width: 49.99999%;
      margin: 6px 0;
    }
  }
  
  @media only screen and (max-width: 500px) {
    .responsive {
      width: 100%;
    }
  }
  
  .clearfix:after {
    content: "";
    display: table;
    clear: both;
  }


/*footer design*/

.footer2{
    display: grid;
    justify-content: start;
    align-items: start;

    position: relative;
    width: 100%;
    height: auto;
    padding: 50px 100px;
    background:var(--second-bg-color);
}
  .footer2 .container{
    width: 100%;
    display: grid;
    grid-template-columns: 2fr 1fr 1fr  ;
    grid-gap:130px;
   
}


.footer2 .container .sec h2{
    position: relative;
    color:#ffffff;
    font-weight: 600;
    margin-bottom: 15px;
    justify-content: flex-start;
    align-items: flex-start;
    
}
.footer2 .container .sec h3{
    margin-bottom: 20px;
    justify-content: flex-start;
     align-items: flex-start;
     font-weight: 900;
}

.footer2 .container .sec p{
    color: #ffffff;
    font-size: 15px;
}
.footer2 .container .sci{
    margin-top: 20px;
    display: grid;
    grid-template-columns: repeat(4,50px);
}
.footer2 .container .sci li{
    list-style: none;
}
.footer2 .container .sci li a{
    display: inline-block;
    width: 36px;
    height: 36px;
    background:var(--second-bg-color);
    border: .2rem solid var(--main-color);
   
   
     display: grid;
     align-content: center;
     justify-content: center;
     text-decoration: none;
}
.footer2 .container .sci li a i{
    color:var(--main-color);
    font-size: 20px;
}
.footer2 .container .quicklinks h2{
  justify-content: flex-start;
  align-items: flex-start;
}

.footer2 .container .quicklinks{
    position: relative;
    cursor: pointer;
   
    
}
.footer2 .container .quicklinks ul li{
    list-style: none;
    font-size: 15px;
    margin-bottom: 12px;
    cursor: pointer;
}
.footer2 .container .quicklinks ul li a{
    color: #ffffff;
    text-decoration: none;
    margin-bottom: 10px;
    display: inline-block;
    cursor: pointer;

}

.footer2 .container .contact h2{
    justify-content: flex-start;
    align-items: flex-start;
}
.footer2 .container .contact .info{
    position: relative;
}
.footer2 .container .contact .info li{
    display: grid;
    grid-template-columns: 30px 1fr;
    margin-bottom: 16px;
}
.footer2 .container .contact .info li span{
    color:var(--main-color);
    font-size: 20px;
}
.footer2 .container .contact .info li a{
 color:#ffffff;
 text-decoration:  none;
}
.line{
    background-color:var(--main-color);
    width: 1005;
    height: 0.6px;
}
@media(max-width:991px)
{
    .footer2{
        padding: 40px;
    }
    .footer2 .container{
        width: 100%;
        display: grid;
        grid-template-columns: repeat(2,1fr);
        grid-gap:20px;
        justify-content: flex-start;
        align-items: flex-start;
    }
    .line{
        height: .6px;
    }
}

@media(max-width:768px){
    .footer2 .container{
        width: 100%;
        display: grid;
        grid-template-columns: repeat(1,1fr);
        grid-gap:20px;
        justify-content: start;
        align-items: start;
    }
    .line{
        height: .6px;
    }
}
/*footer design end*/